# CbcStrategyDefaultSubTree Class Reference

Default class for sub trees. More...

`#include <CbcStrategy.hpp>`

Inheritance diagram for CbcStrategyDefaultSubTree:
[legend]
Collaboration diagram for CbcStrategyDefaultSubTree:
[legend]

List of all members.

## Public Member Functions
| CbcStrategyDefaultSubTree (CbcModel *parent=NULL, int cutsOnlyAtRoot=1, int numberStrong=5, int numberBeforeTrust=0, int printLevel=0)
| CbcStrategyDefaultSubTree (const CbcStrategyDefaultSubTree &)
| ~CbcStrategyDefaultSubTree ()
virtual CbcStrategy * | clone () const
| Clone.
virtual void | setupCutGenerators (CbcModel &model)
| Setup cut generators.
virtual void | setupHeuristics (CbcModel &model)
| Setup heuristics.
virtual void | setupPrinting (CbcModel &model, int modelLogLevel)
| Do printing stuff.
virtual void | setupOther (CbcModel &model)
| Other stuff e.g. strong branching.
## Protected Attributes
CbcModel * | parentModel_
int | cutsOnlyAtRoot_
int | numberStrong_
int | numberBeforeTrust_
int | printLevel_
## Private Member Functions
CbcStrategyDefaultSubTree & | operator= (const CbcStrategyDefaultSubTree &rhs)
| Illegal Assignment operator.

## Detailed Description

Default class for sub trees.

Definition at line 209 of file CbcStrategy.hpp.

## Constructor & Destructor Documentation

CbcStrategyDefaultSubTree::CbcStrategyDefaultSubTree | ( | CbcModel * | parent = `NULL`,
|  | int | cutsOnlyAtRoot = `1`,
|  | int | numberStrong = `5`,
|  | int | numberBeforeTrust = `0`,
|  | int | printLevel = `0` |
| ) |  |  |

CbcStrategyDefaultSubTree::CbcStrategyDefaultSubTree | ( | const CbcStrategyDefaultSubTree & |  | ) |

CbcStrategyDefaultSubTree::~CbcStrategyDefaultSubTree | ( |  | ) |

## Member Function Documentation

virtual CbcStrategy* CbcStrategyDefaultSubTree::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcStrategy.

virtual void CbcStrategyDefaultSubTree::setupCutGenerators | ( | CbcModel & | model | ) | `[virtual]`

Setup cut generators.

Implements CbcStrategy.

virtual void CbcStrategyDefaultSubTree::setupHeuristics | ( | CbcModel & | model | ) | `[virtual]`

Setup heuristics.

Implements CbcStrategy.

virtual void CbcStrategyDefaultSubTree::setupPrinting | ( | CbcModel & | model,
|  | int | modelLogLevel |
| ) |  |  | `[virtual]`

Do printing stuff.

Implements CbcStrategy.

virtual void CbcStrategyDefaultSubTree::setupOther | ( | CbcModel & | model | ) | `[virtual]`

Other stuff e.g. strong branching.

Implements CbcStrategy.

CbcStrategyDefaultSubTree& CbcStrategyDefaultSubTree::operator= | ( | const CbcStrategyDefaultSubTree & | rhs | ) | `[private]`

Illegal Assignment operator.

Reimplemented from CbcStrategy.

## Member Data Documentation

CbcModel* CbcStrategyDefaultSubTree::parentModel_`[protected]`

Definition at line 238 of file CbcStrategy.hpp.

int CbcStrategyDefaultSubTree::cutsOnlyAtRoot_`[protected]`

Definition at line 240 of file CbcStrategy.hpp.

int CbcStrategyDefaultSubTree::numberStrong_`[protected]`

Definition at line 243 of file CbcStrategy.hpp.

int CbcStrategyDefaultSubTree::numberBeforeTrust_`[protected]`

Definition at line 246 of file CbcStrategy.hpp.

int CbcStrategyDefaultSubTree::printLevel_`[protected]`

Definition at line 249 of file CbcStrategy.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcStrategy.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines